CREATE TABLE fa_mc_impairments (
    SET_OF_BOOKS_ID            NUMBER(18, 0),
    IMPAIRMENT_ID              NUMBER(18, 0),
    IMPAIRMENT_NAME            VARCHAR2(120),
    DESCRIPTION                VARCHAR2(960),
    REQUEST_ID                 NUMBER(18, 0),
    STATUS                     VARCHAR2(120),
    REVERSAL_FLAG              VARCHAR2(4)  ,
    BOOK_TYPE_CODE             VARCHAR2(120)    NOT NULL,
    CASH_GENERATING_UNIT_ID    NUMBER(18, 0),
    ASSET_ID                   NUMBER       ,
    NET_BOOK_VALUE             NUMBER       ,
    NET_SELLING_PRICE          NUMBER       ,
    VALUE_IN_USE               NUMBER       ,
    GOODWILL_ASSET_ID          NUMBER(18, 0),
    GOODWILL_AMOUNT            NUMBER       ,
    USER_DATE                  DATE         ,
    IMPAIRMENT_DATE            DATE         ,
    PERIOD_COUNTER_IMPAIRED    NUMBER(18, 0),
    IMPAIRMENT_AMOUNT          NUMBER       ,
    DATE_INEFFECTIVE           DATE         ,
    IMPAIR_CLASS               VARCHAR2(12) ,
    REASON                     VARCHAR2(400),
    SPLIT_IMPAIR_FLAG          VARCHAR2(4)  ,
    SPLIT1_IMPAIR_CLASS        VARCHAR2(12) ,
    SPLIT1_REASON              VARCHAR2(400),
    SPLIT1_PERCENT             NUMBER(3, 0) ,
    SPLIT2_IMPAIR_CLASS        VARCHAR2(12) ,
    SPLIT2_REASON              VARCHAR2(400),
    SPLIT2_PERCENT             NUMBER(3, 0) ,
    SPLIT3_IMPAIR_CLASS        VARCHAR2(12) ,
    SPLIT3_REASON              VARCHAR2(400),
    SPLIT3_PERCENT             NUMBER(3, 0) ,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    SET_OF_BOOKS_ID            NUMBER(18, 0),
    IMPAIRMENT_ID              NUMBER(18, 0),
    IMPAIRMENT_NAME            VARCHAR2(120),
    DESCRIPTION                VARCHAR2(960),
    REQUEST_ID                 NUMBER(18, 0),
    STATUS                     VARCHAR2(120),
    REVERSAL_FLAG              VARCHAR2(4)  ,
    BOOK_TYPE_CODE             VARCHAR2(120)    NOT NULL,
    CASH_GENERATING_UNIT_ID    NUMBER(18, 0),
    ASSET_ID                   NUMBER       ,
    NET_BOOK_VALUE             NUMBER       ,
    NET_SELLING_PRICE          NUMBER       ,
    VALUE_IN_USE               NUMBER       ,
    GOODWILL_ASSET_ID          NUMBER(18, 0),
    GOODWILL_AMOUNT            NUMBER       ,
    USER_DATE                  DATE         ,
    IMPAIRMENT_DATE            DATE         ,
    PERIOD_COUNTER_IMPAIRED    NUMBER(18, 0),
    IMPAIRMENT_AMOUNT          NUMBER       ,
    DATE_INEFFECTIVE           DATE         ,
    IMPAIR_CLASS               VARCHAR2(12) ,
    REASON                     VARCHAR2(400),
    SPLIT_IMPAIR_FLAG          VARCHAR2(4)  ,
    SPLIT1_IMPAIR_CLASS        VARCHAR2(12) ,
    SPLIT1_REASON              VARCHAR2(400),
    SPLIT1_PERCENT             NUMBER(3, 0) ,
    SPLIT2_IMPAIR_CLASS        VARCHAR2(12) ,
    SPLIT2_REASON              VARCHAR2(400),
    SPLIT2_PERCENT             NUMBER(3, 0) ,
    SPLIT3_IMPAIR_CLASS        VARCHAR2(12) ,
    SPLIT3_REASON              VARCHAR2(400),
    SPLIT3_PERCENT             NUMBER(3, 0) ,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_fa_mc_impairments PRIMARY KEY (SET_OF_BOOKS_ID, IMPAIRMENT_ID, SET_OF_BOOKS_ID, IMPAIRMENT_ID)
);
